@ECHO OFF
REM updateconfigpicklists.bat
REM Used as a wrapper for ant code updateconfigpicklists.xml. Code located SAS delivered version of at and uses it to locate and update product specific picklists that reference unsecure jars

	
	IF "%~1"=="" (
	echo "No parameter(SASHOME) was specified. Please try again"
	goto endfile
	)
	
	REM HANDLE SASHOME PARAM
	set SASHOME=%1%
	set SASHOMETEMP=%SASHOME:"=%
	IF "%SASHOMETEMP:~-1%"=="\" SET SASHOME=%SASHOMETEMP:~0,-1%

	REM HANDLE SASCONFIG PARAM
	IF "%~2"=="" ( 
					SET SCANFORCONFIG=auto
					echo Automatic Searching
				) else (
						SET SASCONFIG=%2%
						echo Config Directory entered manually
						)
	echo SASHOME= %SASHOME%
	echo SASCONFIG= %SASCONFIG%
	REM Locate the SAS delivered JRE for use:
	findstr /b /c:"PRIVATEJREHOME" "%SASHOMETEMP%\sassw.config" > privatejre_temp.txt
	set /p PRIVATEJRETEMP= < privatejre_temp.txt
	set PRIVATEJRE=%PRIVATEJRETEMP:~15%
	del privatejre_temp.txt
	echo PRIVATEJRE=%PRIVATEJRE%

	REM Locate the SAS delivered version of ANT for use:
	echo Searching for SASDeploymentManager in this SASHome location %SASHOMETEMP%

	for /d %%a in (
		"%SASHOMETEMP%\SASDeploymentManager\9.4\products\deploywiz*"
	) do (
		set foundpath=%%~fa
	)

	echo Using %foundpath%\deploywiz\ant-launcher.jar to launch ant scripts

	REM execute ant script
	IF "%SCANFORCONFIG%" == "auto" (
			"%PRIVATEJRE%" -jar "%foundpath%\deploywiz\ant-launcher.jar" -buildfile updateconfigpicklists.xml -DSASHOME=%SASHOME% -DPLAT=WIN
			) else (
						"%PRIVATEJRE%" -jar "%foundpath%\deploywiz\ant-launcher.jar" -buildfile updateconfigpicklists.xml -DSASHOME=%SASHOME% -DSASCONFIG=%SASCONFIG% -DPLAT=WIN
					)
	
	:endfile
